openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DB6_HIS_DBTBS_DETAIL_XT:
    post:
      tags:
      - SDB6DB02
      summary: 'DB6: get details of table/index history'
      operationId: /rfc/DB6_HIS_DBTBS_DETAIL_XT
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CONNECTION:
                  type: string
                  maxLength: 30
                  description: Logical name for a database connection
                OBJECTNAME:
                  type: string
                  maxLength: 30
                  description: 'DB2 Universal Database: Tablespace Name'
                STATTYPE:
                  type: string
                  maxLength: 1
                  description: 'DB6: Type of statistics (D=daily,W=weekly,M=monthly)'
                IT_DB6PM_XT:
                  type: array
                  items:
                    type: object
                    properties:
                      STATTYPE:
                        type: string
                        maxLength: 1
                        description: 'DB6: Type of statistics (D=daily,W=weekly,M=monthly)'
                      OBJECTNAME:
                        type: string
                        maxLength: 30
                        description: 'DB6: Tablespace Name'
                      BASEDATE:
                        type: string
                        format: date
                        description: 'DB6: reference date of the statistics'
                      TABLENUM:
                        type: integer
                        format: int64
                        description: 'DB6: number of tables located in object'
                      D_TABLENUM:
                        type: integer
                        format: int64
                        description: 'DB6: number of tables located in object delta'
                      TABLEKB:
                        type: integer
                        format: int64
                        description: 'DB6: total size of tables located in object'
                      D_TABLEKB:
                        type: integer
                        format: int64
                        description: 'DB6: total size of tables located in object delta'
                      INDEXNUM:
                        type: integer
                        format: int64
                        description: 'DB6: number of indexes located in object'
                      D_INDEXNUM:
                        type: integer
                        format: int64
                        description: 'DB6: number of indexes located in object delta'
                      INDEXKB:
                        type: integer
                        format: int64
                        description: 'DB6: changes/interval for total size of indexes'
                      D_INDEXKB:
                        type: integer
                        format: int64
                        description: 'DB6: changes/interval for total size of indexes delta'
              required:
              - OBJECTNAME
              - STATTYPE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  IT_DB6PM_XT:
                    type: array
                    items:
                      type: object
                      properties:
                        STATTYPE:
                          type: string
                          maxLength: 1
                          description: 'DB6: Type of statistics (D=daily,W=weekly,M=monthly)'
                        OBJECTNAME:
                          type: string
                          maxLength: 30
                          description: 'DB6: Tablespace Name'
                        BASEDATE:
                          type: string
                          format: date
                          description: 'DB6: reference date of the statistics'
                        TABLENUM:
                          type: integer
                          format: int64
                          description: 'DB6: number of tables located in object'
                        D_TABLENUM:
                          type: integer
                          format: int64
                          description: 'DB6: number of tables located in object delta'
                        TABLEKB:
                          type: integer
                          format: int64
                          description: 'DB6: total size of tables located in object'
                        D_TABLEKB:
                          type: integer
                          format: int64
                          description: 'DB6: total size of tables located in object delta'
                        INDEXNUM:
                          type: integer
                          format: int64
                          description: 'DB6: number of indexes located in object'
                        D_INDEXNUM:
                          type: integer
                          format: int64
                          description: 'DB6: number of indexes located in object delta'
                        INDEXKB:
                          type: integer
                          format: int64
                          description: 'DB6: changes/interval for total size of indexes'
                        D_INDEXKB:
                          type: integer
                          format: int64
                          description: 'DB6: changes/interval for total size of indexes delta'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
